### Method

# Camel Address unformat

#### Declaration [src]

    gint
    camel_address_unformat (
      CamelAddress* addr,
      const gchar* raw
    )

#### Description [src]

Attempt to convert a previously formatted and/or edited address back into internal form.

#### Parameters

`raw`

  Type: `const gchar*`

  Raw address description.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The number of addresses parsed or -1 on fail.